<?php

namespace Drupal\workspaces_parallel\Factory;

use Drupal\workspaces_parallel\Publisher\ParallelWorkspacePublisher;
use Drupal\workspaces\WorkspaceInterface;
use Drupal\workspaces\WorkspaceOperationFactory;

/**
 * Custom operations factory to return a custom workspace publisher.
 */
class ParallelWorkspaceOperationFactory extends WorkspaceOperationFactory {

  public function getPublisher(WorkspaceInterface $source) {
    return new ParallelWorkspacePublisher($this->entityTypeManager, $this->database, $this->workspaceManager, $this->workspaceAssociation, $this->eventDispatcher, $source, $this->logger);
  }

}
